import 'package:auth/src/core/providers/auth_repository_provider.dart';
import 'package:auth/src/features/sign_up/domain/sign_up_use_case.dart';
import 'package:auth/src/features/sign_up/domain/sign_up_use_case_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final signUpUseCaseProvider = Provider.autoDispose<SignUpUseCase>((ref) {
  final authRepository = ref.read(authRepositoryProvider);
  return SignUpUseCaseImpl(authRepository);
});
